Add Prospects Batch
curl --request POST \
--url https://api.kakiyo.com/v1/prospects/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"campaignId": "campaign_12345abcde",
"prospects": [
{
"name": "John Smith",
"url": "https://linkedin.com/in/johnsmith",
"customData": "John commented on Liam's LinkedIn post about AI outbound."
}
]
}
EOFimport requests
url = "https://api.kakiyo.com/v1/prospects/batch"
payload = {
"campaignId": "campaign_12345abcde",
"prospects": [
{
"name": "John Smith",
"url": "https://linkedin.com/in/johnsmith",
"customData": "John commented on Liam's LinkedIn post about AI outbound."
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
campaignId: 'campaign_12345abcde',
prospects: [
{
name: 'John Smith',
url: 'https://linkedin.com/in/johnsmith',
customData: 'John commented on Liam\'s LinkedIn post about AI outbound.'
}
]
})
};
fetch('https://api.kakiyo.com/v1/prospects/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "3 prospects added successfully",
"listId": "import_list_id"
}{
"error": "validation_error",
"message": "The request parameters failed validation",
"details": [
{
"field": "name",
"message": "The name field is required"
}
]
}{
"error": "validation_error",
"message": "The request parameters failed validation",
"details": [
{
"field": "name",
"message": "The name field is required"
}
]
}{
"error": "validation_error",
"message": "The request parameters failed validation",
"details": [
{
"field": "name",
"message": "The name field is required"
}
]
}Prospects
Add prospects batch
Adds multiple prospects to a campaign
POST
/
prospects
/
batch
Add Prospects Batch
Add multiple prospects to one campaign. Each prospect can include a
customData string, max 3000 characters, that is saved on the created chat and available in prompts as {{customData}}.
The import is asynchronous. The response includes a listId; use Prospect Import Status to confirm which rows created chats.
Example
curl -X POST "https://api.kakiyo.com/v1/prospects/batch" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"campaignId": "campaign_12345abcde",
"prospects": [
{
"name": "John Smith",
"url": "https://linkedin.com/in/johnsmith",
"customData": "John commented on Liam's LinkedIn post about AI outbound."
},
{
"name": "Sarah Johnson",
"url": "https://linkedin.com/in/sarahjohnson",
"customData": "Sarah engaged with a Kakiyo post about sales automation."
}
]
}'
Prospect object
| Field | Type | Required | Description |
|---|---|---|---|
name | string | Yes | Prospect full name |
url | string | Yes | LinkedIn profile URL |
ongoing | boolean | No | Whether the conversation should start as ongoing. Defaults to false |
customData | string | No | Per-conversation prompt context, max 3000 characters |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Batch of prospects to add
Last modified on June 20, 2026
⌘I

